# getTransaction

Clients will poll this to tell when the transaction has been completed.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## Reference: [Here](https://soroban.stellar.org/api/methods/getTransaction)

## **Parameters**

* `hash (string)`(required) Transaction hash to query, as a hex-encoded string

## Returns

* `status` string - The current status of the transaction by hash
  * Allowed values:SUCCESSNOT\_FOUNDFAILED
* `latestLedger` string - The latest ledger known to Soroban-RPC at the time it handled the `getTransaction()` request.
* `latestLedgerCloseTime` string - The unix timestamp of the close time of the latest ledger known to Soroban-RPC at the time it handled the `getTransaction()` request.
* `oldestLedger` string - The oldest ledger ingested by Soroban-RPC at the time it handled the `getTransaction()` request.
* `oldestLedgerCloseTime` string - The unix timestamp of the close time of the oldest ledger ingested by Soroban-RPC at the time it handled the `getTransaction()` request.
* `ledger` string - (optional) The sequence of the ledger which included the transaction. This field is only present if `status` is `SUCCESS` or `FAILED`.
* `createdAt` string - (optional) The unix timestamp of when the transaction was included in the ledger. This field is only present if `status` is `SUCCESS` or `FAILED`.
* `applicationOrder` number - (optional) The index of the transaction among all transactions included in the ledger. This field is only present if `status` is `SUCCESS` or `FAILED`.
* `feeBump` boolean - (optional) Indicates whether the transaction was fee bumped. This field is only present if `status` is `SUCCESS` or `FAILED`.
* `envelopeXdr` string - (optional) A base64 encoded string of the raw TransactionEnvelope XDR struct for this transaction.
* `resultXdr` string - (optional) A base64 encoded string of the raw TransactionResult XDR struct for this transaction. This field is only present if `status` is `SUCCESS` or `FAILED`.
* `resultMetaXdr` string (optional) A base64 encoded string of the raw TransactionResultMeta XDR struct for this transaction.

```json
// SUCCESS
{
  "jsonrpc": "2.0",
  "id": 8675309,
  "result": {
    "status": "SUCCESS",
    "latestLedger": "45075181",
    "latestLedgerCloseTime": "1677115742",
    "oldestLedger": "45070000",
    "latestLedgerCloseTime": "1677000000",
    "ledger": "45070700",
    "createdAt": "1677009000",
    "applicationOrder": 1,
    "feeBump": false,
    "envelope_xdr": "AAAAAgAAAABzdv3ojkzWHMD7KUoXhrPx0GH18vHKV0ZfqpMiEblG1gAAp18AAAAAAAAAAgAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAABAAAAAHN2/eiOTNYcwPspSheGs/HQYfXy8cpXRl+qkyIRuUbWAAAAGAAAAAEAAAABAAAAAPVf8W9m9DNgJmuV22+P7AHXYDEFQwauSks4BZj2z9EUAAAAAO3beL34UBBpCfUUPCfcnqX8YQKn41UhnKu6BInkVe9lAAAAAAAAAAEAAAABAAAAB+3beL34UBBpCfUUPCfcnqX8YQKn41UhnKu6BInkVe9lAAAAAQAAAAbhq+vRxjISTR62JpK1SAnzz1cZKpSpkRlwLJH6ZrzssgAAABQAAUKLAAAUkAAAAIAAAACoAAAAAAAAACEAAAAAAAAAARG5RtYAAABA+Vy3k86bNEP7rP8hb3cY1QWYhRa3CnF7jqHUj22Rd++2a0YwCKrMbofTUOb21GP6aFZwfKVvaokS22u1to5xDw==",
    "resultXdr": "AAAAAAAApS4AAAAAAAAAAQAAAAAAAAAYAAAAAAAAAAEAAAANAAAAIOGr69HGMhJNHrYmkrVICfPPVxkqlKmRGXAskfpmvOyyAAAAAA==",
    "result_meta_xdr": "AAAAAwAAAAIAAAADAAAAFgAAAAAAAAAAc3b96I5M1hzA+ylKF4az8dBh9fLxyldGX6qTIhG5RtYN4Lazp2JdKwAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAwAAAAAAAAANAAAAAGRuCr8AAAAAAAAAAQAAABYAAAAAAAAAAHN2/eiOTNYcwPspSheGs/HQYfXy8cpXRl+qkyIRuUbWDeC2s6diXSsAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAMAAAAAAAAAFgAAAABkbgrIAAAAAAAAAAEAAAABAAAAAAAAABYAAAAG4avr0cYyEk0etiaStUgJ889XGSqUqZEZcCyR+ma87LIAAAAUAAAAEgAAAADt23i9+FAQaQn1FDwn3J6l/GECp+NVIZyrugSJ5FXvZQAAAAAAAAAAAAAAAQAAAAAAAAAAAAClLgAAAAAAAAABAAAAAAAAABgAAAAAAAAAAQAAAA0AAAAg4avr0cYyEk0etiaStUgJ889XGSqUqZEZcCyR+ma87LIAAAAA1pFOFvAXyYyG3zRHjl+0ABs5xH4/40CX9PPHFC+QN5jLvEh1Deu4U1CTs96viKx/TP+HQlV2pY3iusdUrNtGFrr72ylPbuM+gn7/FJKmJcDFiKveRR/kP8mOYOcy9S4RAAAAAA=="
  }
}


// NOT FOUND
{
  "jsonrpc": "2.0",
  "id": 8675309,
  "result": {
    "status": "NOT_FOUND",
    "latestLedger": "45075181",
    "latestLedgerCloseTime": "1677115742",
    "oldestLedger": "45070000",
    "latestLedgerCloseTime": "1677000000"
  }
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.stellar.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{
  "jsonrpc": "2.0",
  "id": 8675309,
  "method": "getTransaction",
  "params": {
    "hash": "a01441a4d0b80769d2c2d97dcd28d13e9036065da14ea83731424d77efc50894"
  }
}'
</code></pre>

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
  "jsonrpc": "2.0",
  "id": 8675309,
  "method": "getTransaction",
  "params": {
    "hash": "a01441a4d0b80769d2c2d97dcd28d13e9036065da14ea83731424d77efc50894"
  }
}'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/stellar/stellar-rpc-formerly-soroban-api/gettransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
